import torch
from torch.utils.data import DataLoader
from torchvision import datasets, transforms

pretrained_model = torch.load("pretrained_file.pth")
pretrained_model.eval()  # Met le modèle en mode évaluation

test_transform = transforms.Compose([transforms.ToTensor(), transforms.Normalize((0.5,), (0.5,))])
test_dataset = datasets.MNIST(root='./data', train=False, transform=test_transform, download=True)
test_loader = DataLoader(test_dataset, batch_size=64, shuffle=False)

correct = 0
total = 0
with torch.no_grad():  # Désactive la gradient pour l'évaluation
	for images, labels in test_loader:
        outputs = pretrained_model(images)
    	_, predicted = torch.max(outputs.data, 1)
    	total += labels.size(0)
    	correct += (predicted == labels).sum().item()

accuracy = 100 * correct / total
print(f"Accuracy of the model on the test dataset: {accuracy:.2f}%")
